KMLTileGridMaker.Builder (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Class KMLTileGridMaker.Builder

    java.lang.Object
      com.bbn.openmap.dataAccess.mapTile.KMLTileGridMaker.Builder

Enclosing class:
  KMLTileGridMaker

    public static class KMLTileGridMaker.Builder

extends java.lang.Object

Use this class to run the KMLTileGridMake. Create a builder, add any customization you want, call go() when you want to create the file.

Author:
  ddietrick

Constructor Summary
`KMLTileGridMaker.Builder()`
`KMLTileGridMaker.Builder(int tileZoomLevel)`

Method Summary
`void` | `go()`
`KMLTileGridMaker.Builder` | `setDocTitle(java.lang.String docTitle)`
`KMLTileGridMaker.Builder` | `setFileName(java.lang.String fileName)`
`KMLTileGridMaker.Builder` | `setFillColor(java.awt.Color fillColor)`
`KMLTileGridMaker.Builder` | `setLabelColor(java.awt.Color labelColor)`
`KMLTileGridMaker.Builder` | `setLineColor(java.awt.Color lineColor)`
`KMLTileGridMaker.Builder` | `setOutputStream(java.io.OutputStream out)` If you provide an OutputStream, you're responsible for closing it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KMLTileGridMaker.Builder

    public KMLTileGridMaker.Builder()

### KMLTileGridMaker.Builder

    public KMLTileGridMaker.Builder(int tileZoomLevel)

Method Detail

### setLineColor

    public KMLTileGridMaker.Builder setLineColor(java.awt.Color lineColor)

### setFillColor

    public KMLTileGridMaker.Builder setFillColor(java.awt.Color fillColor)

### setLabelColor

    public KMLTileGridMaker.Builder setLabelColor(java.awt.Color labelColor)

### setDocTitle

    public KMLTileGridMaker.Builder setDocTitle(java.lang.String docTitle)

### setFileName

    public KMLTileGridMaker.Builder setFileName(java.lang.String fileName)
                                         throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

### setOutputStream

    public KMLTileGridMaker.Builder setOutputStream(java.io.OutputStream out)

  If you provide an OutputStream, you're responsible for closing it.

  Parameters:
    `out` -
  Returns:
    this Builder

### go

    public void go()
            throws javax.xml.parsers.ParserConfigurationException,
                   javax.xml.transform.TransformerException,
                   java.io.IOException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.transform.TransformerException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details